Verdocs - Developer Documentation
ReferenceRest APIApi docsAPI Keys

Rotate API key

POST
/v2/api-keys/{client_id}/rotate

Path Parameters

client_id*string

The client ID of the key to rotate

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.verdocs.com/v2/api-keys/CLIENT_ID/rotate" \    -H "Authorization: Bearer ACCESS_TOKEN" \    -H "content-type: application/json" \    -d '{"param": "value"}'
{
  "client_id": "string",
  "client_secret": "string",
  "created_at": "string",
  "global_admin": true,
  "last_used_at": "string",
  "name": "string",
  "organization_id": "string",
  "profile_id": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}